Core - Bug # 58380

Task # 49162 (Resolved): Rewrite install tool

Status: Resolved Priority: Should have
Author: Christian Kuhn Category: Install Tool
Created: 2014-05-01 Assigned To: Nicole Cordes
Updated: 2014-05-03 Due date:

TYPO3 Version: 6.2

PHP Version: 5.5

Complexity: medium

Is Regression: No

Sprint Focus:

Subject: Too many redirects during first install

Description

First install can lead to a too many redirect count exception during first installation between step 1 and 2. It works on second try. We

should find out why so many redirects are required at this point to see if we can get rid of the one or the other, maybe the silent

updater is not clean enough at the beginning or something?

php 5.5 with zend opcode cacher on a fresh linux mint petra.

Associated revisions

Revision 2437d654 - 2014-05-03 16:56 - Nicole Cordes

[BUGFIX] Remove unnecessary redirect loops for first installation

This patch changes the default configuration to prevent any redirect
loops during the first installation process.

Resolves: #58380

Releases: 6.2

Change-Id: 18c0cbb779ee40b3310d2cb7ad6600d3bcaf4ec4
Reviewed-on: https://review.typo3.org/29802

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Wouter Wolters
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

History

#1 - 2014-05-01 12:02 - Christian Kuhn

This is the database connect step when it detects the default db setup ...

#2 - 2014-05-03 11:04 - Nicole Cordes
- Assigned To set to Nicole Cordes

#3 - 2014-05-03 12:48 - Gerrit Code Review
- Status changed from New to Under Review

2015-08-04

1/2



https://review.typo3.org/29802

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/29802

#4 - 2014-05-03 13:56 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/29802

#5 - 2014-05-03 17:30 - Nicole Cordes
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2437d6540347c6aa2ae32760a575800e717e3cc2.
